package cn.pluss.platform.dto;

import cn.pluss.platform.entity.RealFans;
import cn.pluss.platform.util.StringUtil;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yuchen
 * 
 * @Description  
 */
@Data
public class RealFansDTO {
	
	/**
	 * 唯一识别标识
	 */
	private String soleId;
	
	/**
	 * 消费金额
	 */
	private String conSumMoney;
	
	/**
	 * 消费方式 0支付宝 1微信 2-0乐刷支付宝 2-1乐刷微信
	 */
	private String payWay;
	
	/**
	 * 当前消费的商户
	 */
	private String merchantCode;
	
	/**
	 * 订单号
	 */
	private String orderNumber;
	
	/**
	 * 通道的订单号
	 */
	private String tradeNumber; 
	
	/**
	 * 头像
	 */
	private String logo;
	
	/**
	 * 昵称
	 */
	private String nickName;
	
	/**
	 * 手机号
	 */
	private String phone;
	
	/**
	 * 初始激活时间
	 */
	private String enableTime;
	
	/**
	 * 本次消费时间
	 */
	private String consumTime;

	/**
	 * 活动营销转账金额
	 */
	private BigDecimal marketAmt;

	/**
	 * 结算金额
	 */
	private BigDecimal settlementAmt;
	
	public RealFans convertRealFans(RealFans realFans) {
		realFans.setSoleId(soleId);
		realFans.setEnableMerchantCode(merchantCode);
		if(StringUtil.isNotEmpty(logo) && !"undefined".equals(logo)){
			realFans.setLogo(logo);
		}
		if(StringUtil.isNotEmpty(nickName) && !"undefined".equals(nickName)){
			realFans.setNickName(nickName);
		}
		realFans.setPhone(phone);
		realFans.setEnableTime(new Date());
		return realFans;
	}
}

